Bug 10546 - GCC 3.3, Ada tasking not working on Red Hat Linux 9
Summary: GCC 3.3, Ada tasking not working on Red Hat Linux 9
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: ada (show other bugs)
Version: 3.3
: P1 critical
Target Milestone: ---
Assignee: Laurent Guerby
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-29 17:56 UTC by Laurent Guerby
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Guerby 2003-04-29 17:56:00 UTC
Due to change in the size of pthread_cond_t, Ada tasking
does not work with recent Linux releases.

Release:
3.3

Environment:
Red Hat Linux 9
Comment 1 Laurent Guerby 2003-04-29 17:56:00 UTC
Fix:
It has been proposed for 3.2.3 (packagers) and is valid for 3.3 and mainline:

http://gcc.gnu.org/ml/gcc/2003-04/msg01332.html
Comment 2 Laurent Guerby 2003-04-29 17:58:41 UTC
Responsible-Changed-From-To: unassigned->guerby
Responsible-Changed-Why: 3.3 release
Comment 3 Laurent Guerby 2003-05-01 14:14:35 UTC
From: guerby@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: ada/10546
Date: 1 May 2003 14:14:35 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	guerby@gcc.gnu.org	2003-05-01 14:14:35
 
 Modified files:
 	gcc/ada        : ChangeLog 5iosinte.ads 
 
 Log message:
 	2003-05-01  Laurent Guerby <guerby@acm.org>
 	
 	PR ada/10546
 	* 5iosinte.ads: Increase pthread_cond_t size to match recent
 	LinuxThread and NPTL version, merge from ACT.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&r1=1.304&r2=1.305
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/5iosinte.ads.diff?cvsroot=gcc&r1=1.5&r2=1.6
 
Comment 4 Laurent Guerby 2003-05-02 17:22:51 UTC
From: guerby@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: ada/10546
Date: 2 May 2003 17:22:51 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_3-branch
 Changes by:	guerby@gcc.gnu.org	2003-05-02 17:22:51
 
 Modified files:
 	gcc/ada        : ChangeLog 5iosinte.ads 
 
 Log message:
 	2003-04-30  Laurent Guerby <guerby@acm.org>
 	
 	PR ada/10546
 	* 5iosinte.ads: Increase pthread_cond_t size to match recent
 	LinuxThread and NPTL version.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.270.2.12&r2=1.270.2.13
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/5iosinte.ads.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.4&r2=1.4.4.1
 

Comment 5 Laurent Guerby 2003-05-02 17:24:22 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Fixed on 3.3
Comment 6 Jakub Jelinek 2003-05-19 11:38:18 UTC
From: jakub@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: ada/10546
Date: 19 May 2003 11:38:18 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-rhl8-branch
 Changes by:	jakub@gcc.gnu.org	2003-05-19 11:38:18
 
 Modified files:
 	gcc/ada        : 5iosinte.ads ChangeLog 
 
 Log message:
 	2003-04-30  Laurent Guerby <guerby@acm.org>
 	
 	PR ada/10546
 	* 5iosinte.ads: Increase pthread_cond_t size to match recent
 	LinuxThread and NPTL version.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/5iosinte.ads.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.2.12.1&r2=1.2.12.1.8.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.197.2.16.2.2.2.9&r2=1.197.2.16.2.2.2.10